/* 
    Tenchi Applegate
    10/25/2022
    Lab section 2
    CPSC1011
    Lab 9A
    Gathers width input from the user to create a ppm file with structs 
    using rgb values to create the Ireland flag using arrays and imbedded for loops.
    Using source files and a header file to separate code.
*/

#include <stdio.h>

typedef struct {
    char type[3];
    int width;
    int height;
    int maxColor;
} header_t;

typedef struct {
    unsigned int r;
    unsigned int g;
    unsigned int b;
} pixels_t;

int getWidth();
void writeHeader(header_t);
void fillFlagArray(pixels_t pixel_array[], int, int);
void writePixels(pixels_t pixel_array[], int, int);